// The example class categories definitions for Doxygen

/// \file Doxymodules_parameterisations.h
/// \brief The page that defines the extended/parameterisations examples modules 


/** @defgroup extended_parameterisations parameterisations
 *  Extended examples parameterisations classes
 *  @{
 */

/** @defgroup extended_parameterisations_Par01 Par01
 *  parameterisations example Par01
 *  @{
 */

class Par01ActionInitialization {};
class Par01CalorimeterHit {};
class Par01CalorimeterSD {};
class Par01DetectorConstruction {};
class Par01EMShowerModel {};
class Par01EnergySpot {};
class Par01ParallelWorldForPion {};
class Par01PiModel {};
class Par01PionShowerModel {};
class Par01PrimaryGeneratorAction {};


/** @} */

/** @defgroup extended_parameterisations_Par02 Par02
 *  parameterisations example Par02
 *  @{
 */

class Par02ActionInitialization {};
class Par02DetectorConstruction {};
class Par02DetectorParametrisation {};
class Par02EventAction {};
class Par02EventInformation {};
class Par02FastSimModelEMCal {};
class Par02FastSimModelHCal {};
class Par02FastSimModelTracker {};
class Par02Output {};
class Par02PhysicsList {};
class Par02PrimaryGeneratorAction {};
class Par02PrimaryParticleInformation {};
class Par02RunAction {};
class Par02Smearer {};
class Par02TrackingAction {};

/** @} */

/** @defgroup extended_parameterisations_Par03 Par03
 *  parameterisations example Par03
 *  @{
 */

class Par03ActionInitialisation {};
class Par03DetectorConstruction {};
class Par03DetectorMessenger {};
class Par03EMShowerMessenger {};
class Par03EMShowerModel {};
class Par03EventAction {};
class Par03Hit {};
class Par03PrimaryGeneratorAction {};
class Par03RunAction {};
class Par03SensitiveDetector {};

/** @} */

/** @defgroup extended_parameterisations_gflash gflash
 *  Extended examples parameterisations gflash classes
 *  @{
 */

/** @defgroup extended_parameterisations_gflash_gflash1 gflash1
 *  parameterisations example gflash1
 *  @{
 */

  class ExGflash1DetectorConstruction {};
  class ExGflash1SensitiveDetector {};
  class ExGflashActionInitialization {};
  class ExGflashEventAction {};
  class ExGflashHit {};
  class ExGflashHitsCollection {};
  class ExGflashPrimaryGeneratorAction {};
  class ExGflashRunAction {};

/** @} */

/** @defgroup extended_parameterisations_gflash_gflash2 gflash2
 *  parameterisations example gflash2
 *  @{
 */

  class ExGflash2DetectorConstruction {};
  class ExGflash2ParallelWorld {};
  class ExGflash2SensitiveDetector {};
  class ExGflashActionInitialization {};
  class ExGflashEventAction {};
  class ExGflashHit {};
  class ExGflashHitsCollection {};
  class ExGflashPrimaryGeneratorAction {};
  class ExGflashRunAction {};

/** @} */

/** @defgroup extended_parameterisations_gflash_gflash3 gflash3
 *  parameterisations example gflash3
 *  @{
 */

  class ExGflash3DetectorConstruction {};
  class ExGflash3ParallelWorld {};
  class ExGflash3SensitiveDetector {};
  class ExGflashActionInitialization {};
  class ExGflashEventAction {};
  class ExGflashHit {};
  class ExGflashHitsCollection {};
  class ExGflashPrimaryGeneratorAction {};
  class ExGflashRunAction {};

/** @} */

/** @defgroup extended_parameterisations_gflash_gflasha gflasha
 *  The gflasha classes have their
 *  <a href="../html_gflasha/html/index.html">standalone documentation </a>
 *  @ingroup extended_parameterisations_gflash
 *  @{
 */

/** @} */

/** @} */

/** @} */
